Skip to main content
POST
/
partners
/
{uuid}
/
notes
Create a note on a partner
curl --request POST \
  --url https://api.journeybee.io/v1/partners/{uuid}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "uuid": "<string>",
  "content": "<string>",
  "author": {
    "uuid": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>"
  },
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
content
string
required

Note content. Supports markdown syntax (headings, bold, italic, lists, links, code blocks) which is converted to rich text.

Required string length: 1 - 50000

Response

201 - application/json

Default Response

uuid
string
required
content
string
required
author
object
required
created_at
string
required
updated_at
string
required